summaryrefslogtreecommitdiffstats
path: root/ship/t/docker/docker_remote_punani.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ship/t/docker/docker_remote_punani.sh')
-rwxr-xr-xship/t/docker/docker_remote_punani.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ship/t/docker/docker_remote_punani.sh b/ship/t/docker/docker_remote_punani.sh
new file mode 100755
index 00000000..1eab1a42
--- /dev/null
+++ b/ship/t/docker/docker_remote_punani.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+cd $(dirname $(readlink -f $0))
+docker_id=$(docker run -d -v $PWD/punani/:/test ubuntu /bin/sh /test/remote_punani)
+trap "docker rm $docker_id" INT TERM EXIT QUIT
+docker wait $docker_id